<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/accounting.js/0.1/accounting.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment-with-locales.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" crossorigin="anonymous">
    
    <title>ejercicio 3</title>
</head>
<body>
    <div id="app">
        <center>
            <table class="table">
                <thead>
                    <tr>
                        <th>Modelo</th>
                        <th>Marca</th>
                        <th>Valor unidad</th>
                        <th>Fecha</th>
                    </tr>
                </thead>
                <tbody>
                    <tr v-for="data in stock">
                        <td>{{data.modelo}}</td>
                        <td>{{data.marca}}</td>
                        <td>{{data.valor|valor}}</td>
                        <td>{{data.fecha|fecha}}</td>
                    </tr>
                </tbody>
            </table>
        </center>
    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        Vue.filter('valor',function(data){
            return accounting.formatMoney(data, "$", 2, ".", ",")
        })
        Vue.filter('fecha',function(date){
            return moment(date).format('MMMM Do YYYY, h:mm:ss a');
        })
        const app = new Vue({
            el:"#app",
            data: {
              
                stock:[
                    {modelo: 'iPhone XR', marca: 'Apple', valor:'450',fecha:'2018-01-01'},
                    {modelo: 'iPhone 11', marca: 'Apple', valor:'550',fecha:'2018-01-02'},
                    {modelo: 'Galaxy A20', marca: 'Samsumg', valor:'350',fecha:'2018-01-03'},
                    {modelo: 'Galaxy A30', marca: 'Samsumg', valor:'400',fecha:'2018-01-04'}
                ]
                
            },
            
        })
    </script>
</body>
</html>